import type { Factory } from '../index.js';
interface CreateFactory {
    (): Factory;
}
export interface ServerInit {
    port?: number;
    host?: string;
}
/**
 * Creates an instance of Server
 */
declare class Server {
    private readonly options;
    private server;
    port: number;
    host: string;
    private readonly createFactory;
    constructor(options: ServerInit | undefined, createFactory: CreateFactory);
    /**
     * Start the server
     */
    start(port?: number): Promise<Server>;
    /**
     * Stop the server
     */
    stop(options?: {
        timeout: number;
    }): Promise<void>;
}
export default Server;
//# sourceMappingURL=server.d.ts.map