import type { Node, NodeOptions, NodeOptionsOverrides, Factory, KuboNode, KuboOptions, SpawnOptions } from './index.js';
/**
 * Factory class to spawn ipfsd controllers
 */
declare class DefaultFactory implements Factory<any> {
    options: NodeOptions;
    controllers: Node[];
    readonly overrides: NodeOptionsOverrides;
    constructor(options?: NodeOptions, overrides?: NodeOptionsOverrides);
    /**
     * Spawn an IPFSd Node
     */
    spawn(options?: KuboOptions & SpawnOptions): Promise<KuboNode>;
    /**
     * Stop all controllers
     */
    clean(): Promise<void>;
}
export default DefaultFactory;
//# sourceMappingURL=factory.d.ts.map